net.sourceforge.pmd.lang.ecmascript.rule

## Class EcmascriptXPathRule

- java.lang.Object
- - net.sourceforge.pmd.AbstractPropertySource
  - - net.sourceforge.pmd.lang.rule.AbstractRule
    - - net.sourceforge.pmd.lang.rule.XPathRule
      - - net.sourceforge.pmd.lang.ecmascript.rule.EcmascriptXPathRule

- All Implemented Interfaces:
    PropertySource, Rule

      public class EcmascriptXPathRule
      extends XPathRule

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.rule.XPathRule

      `VERSION_DESCRIPTOR, XPATH_DESCRIPTOR`

    - ### Fields inherited from class net.sourceforge.pmd.AbstractPropertySource

      `propertyDescriptors, propertyValuesByDescriptor`

    - ### Fields inherited from interface net.sourceforge.pmd.Rule

      `VIOLATION_SUPPRESS_REGEX_DESCRIPTOR, VIOLATION_SUPPRESS_XPATH_DESCRIPTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EcmascriptXPathRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParserOptions` | `getParserOptions()` This implementation returns a new instance of `ParserOptions` using default settings.

    - ### Methods inherited from class net.sourceforge.pmd.lang.rule.XPathRule

      `apply, dysfunctionReason, evaluate, getRuleChainVisits, hasXPathExpression, setVersion, setXPath`

    - ### Methods inherited from class net.sourceforge.pmd.lang.rule.AbstractRule

      `addExample, addRuleChainVisit, addRuleChainVisit, addViolation, addViolation, addViolation, addViolationWithMessage, addViolationWithMessage, addViolationWithMessage, deepCopyValuesTo, end, equals, getDescription, getExamples, getExternalInfoUrl, getLanguage, getMaximumLanguageVersion, getMessage, getMinimumLanguageVersion, getName, getPriority, getRuleClass, getRuleSetName, getSince, hashCode, isDeprecated, setDeprecated, setDescription, setExternalInfoUrl, setLanguage, setMaximumLanguageVersion, setMessage, setMinimumLanguageVersion, setName, setPriority, setRuleClass, setRuleSetName, setSince, setUsesDFA, setUsesTypeResolution, start, usesDFA, usesRuleChain, usesTypeResolution`

    - ### Methods inherited from class net.sourceforge.pmd.AbstractPropertySource

      `copyPropertyDescriptors, copyPropertyValues, definePropertyDescriptor, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.PropertySource

      `definePropertyDescriptor, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

- - ### Constructor Detail

    - #### EcmascriptXPathRule

          public EcmascriptXPathRule()

  - ### Method Detail

    - #### getParserOptions

          public ParserOptions getParserOptions()

      Description copied from class: `AbstractRule`
      This implementation returns a new instance of `ParserOptions` using default settings.
      Specified by:
        `getParserOptions` in interface `Rule`
      Overrides:
        `getParserOptions` in class `AbstractRule`
      See Also:
        `Rule.setPriority(RulePriority)`

Copyright © 2002-2013 InfoEther. All Rights Reserved.